﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;

namespace ClearSelectionOnGrouping
{
    public class ViewModel : INotifyPropertyChanged
    {
        private bool isSourceGrouped = false;

        public bool IsSourceGrouped
        {
            get { return isSourceGrouped; }
            set { isSourceGrouped = value; OnPropertyChanged("IsSourceGrouped"); }
        }


        private ObservableCollection<DataModel> myVar;

        public ObservableCollection<DataModel> MyProperty
        {
            get { return myVar; }
            set { myVar = value; }
        }
        private DateTime delay = new DateTime();

        public DateTime Delay
        {
            get { return delay; }
            set { delay = value; Debug.WriteLine("Delay:{0}", Delay); }
        }
 
        public ViewModel()
        {
            MyProperty = new ObservableCollection<DataModel>();
            for (int i = 0; i < 10; i++)
            {
                MyProperty.Add(new DataModel() { CustomerName = "Thomas", ProductID = 212, CustomerAge = 35 ,NameAttr=new Attribute() { Name = "Thom" } });
                MyProperty.Add(new DataModel() { CustomerName = "Vincent", ProductID = 675, CustomerAge = 43, NameAttr = new Attribute() { Name = "Vin" } });
                MyProperty.Add(new DataModel() { CustomerName = "John", ProductID = 156, CustomerAge = 34, NameAttr = new Attribute() { Name = "Joh" } });
                MyProperty.Add(new DataModel() { CustomerName = "Albert", ProductID = 234, CustomerAge = 30, NameAttr = new Attribute() { Name = "albs" } });
                MyProperty.Add(new DataModel() { CustomerName = "Lincon", ProductID = 112, CustomerAge = 55, NameAttr = new Attribute() { Name = "Linc" } });
                MyProperty.Add(new DataModel() { CustomerName = "James", ProductID = 110, CustomerAge = 50, NameAttr = new Attribute() { Name = "James" } });
            }
        }
        public event PropertyChangedEventHandler PropertyChanged;
        public void OnPropertyChanged(string propName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propName));
        }
    }
}
